# -*- encoding : utf-8 -*-

class Public::ProductsController < ApplicationController

  before_filter :auth_customer
  before_filter :require_negos_abo
	layout "public"

	def show
    
		@product = Product.not_archived.find(params[:id])
    
    if @product.orderable
      params[:type] = "2"
    else
      params[:type] = "1"
    end
    @product_lang = @product.lang(I18n.locale)
    @product_category = @product.product_category 
    @image_bandeau = @product.product_category.image_file.file.url if @product.product_category and @product.product_category.image_file
    
    @image_bandeau = @product.product_collection.image_file.file.url if @product.product_collection and @product.product_collection.image_file
    @reseaux = current_customer.reseauxes.find(@product.reseaux_id)
    @reseaux_layout = true
    session[:reseaux_id] =@reseaux.id
	end
  
  
  def index
    params[:type] = params[:type] || "1"
    @products = true
    @reseaux = current_customer.reseauxes.find(params[:reseaux_id])
    @reseaux_layout = true
    session[:reseaux_id] =@reseaux.id
    
  end
end
